#+title: Ncmpcpp Configuration
#+setupfile: ../headers
#+OPTIONS: unique-id:t
#+HTML_HEAD_EXTRA: <meta name="description" content="Phundrak’s ncmpcpp Configuration" />
#+HTML_HEAD_EXTRA: <meta property="og:title" content="Phundrak’s ncmpcpp Configuration" />
#+HTML_HEAD_EXTRA: <meta property="og:description" content="Description of the ncmpcpp configuration of Phundrak" />
#+PROPERTY: header-args :tangle ~/.config/ncmpcpp/config2 :exports code

* Introduction
:PROPERTIES:
:CUSTOM_ID: Introduction-3e61ecfc
:END:
Ncmpcpp is a TUI front-end for MPD, with  an UI very similar to Ncmpc. This is
my  main  MPD  front-end after  my  i3  shortcuts.  You  can find  below  some
screenshots of how my current ncmpcpp configuration looks like.

[[file:img/ncmpcpp-queue.png]]

[[file:img/ncmpcpp-directory.png]]

[[file:img/ncmpcpp-visualizer.png]]

* Core Ncmpcpp settings
:PROPERTIES:
:CUSTOM_ID: Core_Ncmpcpp_settings-8cacae18
:END:
#+BEGIN_SRC conf :exports none
  # -*- mode: conf -*-
#+END_SRC

** Directories
:PROPERTIES:
:CUSTOM_ID: Core_Ncmpcpp_settings-Directories-28092c92
:END:
Ncmpcpp has two vital directories: the lyrics directory, and its own configuration directory. The configuration for ncmpcpp is generally either in ~$HOME/.ncmpcpp/~ or in ~$XDG_CONFIG_HOME/ncmpcpp/~.
#+BEGIN_SRC conf
  ncmpcpp_directory = ~/.config/ncmpcpp
#+END_SRC

When it comes to the lyrics, be sure to set the directory to the same directory pointed at by Mpd.
#+BEGIN_SRC conf
  lyrics_directory = ~/.lyrics
#+END_SRC

** MPD
:PROPERTIES:
:CUSTOM_ID: Core_Ncmpcpp_settings-MPD-a2a7452e
:END:
These settings tell ncmpcpp how to communicate with Mpd. Once again, be sure to follow your own MPD settings. In my case, I am connecting to my local MPD server, hence the ~localhost~ value of the variable below, and I did not change the default port of MPD. My music is located at =~/Music=, and ncmpcpp should connect pretty much immediately, although I allow a five seconds timeout before ncmpcpp treats it as an error. Also, no crossfade please.
#+BEGIN_SRC conf
  mpd_host = localhost
  mpd_port = 6600
  mpd_music_dir = ~/Music
  mpd_connection_timeout = 5
  mpd_crossfade_time = 0
#+END_SRC
